org.apache.ode.jbi

## Class DynamicMessageExchangeProcessor<T>

- java.lang.Object
- - org.apache.ode.jbi.BaseMessageExchangeProcessor
  - - org.apache.ode.jbi.DynamicMessageExchangeProcessor<T>

- All Implemented Interfaces:
    JbiMessageExchangeProcessor

      public class DynamicMessageExchangeProcessor<T>
      extends BaseMessageExchangeProcessor

  JBI message exchange processor that uses `DynamicService` for reflection-based method dispatch.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicMessageExchangeProcessor(T service, javax.jbi.messaging.DeliveryChannel channel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `invoke(javax.jbi.messaging.InOnly mex)` Invoke with an In-Only message exchange pattern.
    `javax.jbi.messaging.NormalizedMessage` | `invoke(javax.jbi.messaging.InOut mex)` Invoke with an In-Out message exchange pattern.

    - ### Methods inherited from class org.apache.ode.jbi.BaseMessageExchangeProcessor

      `onJbiMessageExchange`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicMessageExchangeProcessor

          public DynamicMessageExchangeProcessor(T service,
                                         javax.jbi.messaging.DeliveryChannel channel)

  - ### Method Detail

    - #### invoke

          public void invoke(javax.jbi.messaging.InOnly mex)
                      throws javax.jbi.messaging.MessagingException

      Description copied from class: `BaseMessageExchangeProcessor`
      Invoke with an In-Only message exchange pattern.
      Specified by:
        `invoke` in class `BaseMessageExchangeProcessor`
      Throws:
        `javax.jbi.messaging.MessagingException`

    - #### invoke

          public javax.jbi.messaging.NormalizedMessage invoke(javax.jbi.messaging.InOut mex)
                                                       throws javax.jbi.messaging.MessagingException

      Description copied from class: `BaseMessageExchangeProcessor`
      Invoke with an In-Out message exchange pattern.
      Specified by:
        `invoke` in class `BaseMessageExchangeProcessor`
      Throws:
        `javax.jbi.messaging.MessagingException`